Skip to main content
POST
/
v1
/
workspaces
/
{workspaceId}
/
pipelines
/
{pipelineId}
/
runs
Run an existing pipeline
curl --request POST \
  --url https://api.erna.ai/v1/workspaces/{workspaceId}/pipelines/{pipelineId}/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '{
  "input": {}
}'
{
  "runId": "<string>",
  "pipelineId": "<string>",
  "revisionId": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "links": {
    "self": "<string>"
  },
  "output": "<unknown>",
  "error": "<unknown>"
}

Authorizations

Authorization
string
header
required

OAuth2 access token or API key

Headers

Idempotency-Key
string
required
Minimum string length: 1
Example:

"unique-idempotency-key"

Path Parameters

workspaceId
string
required
pipelineId
string
required

Body

application/json
input
object

Playbook-specific input for this one execution. For scheduling, the run input is only the date range to schedule.

Response

Run returned in its current state

runId
string
required
playbookId
enum<string>
required
Available options:
scheduling,
reporting
pipelineId
string
required
revisionId
string
required
status
enum<string>
required
Available options:
running,
complete,
failed
createdAt
string
required
updatedAt
string
required
output
any
error
any